Package org.kie.internal.definition

## Class GenericTypeDefinition

- java.lang.Object
- - org.kie.internal.definition.GenericTypeDefinition

- All Implemented Interfaces:
    `java.io.Serializable`

      public class GenericTypeDefinition
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GenericTypeDefinition​(java.lang.String rawType)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<GenericTypeDefinition>` | `getGenericTypes()` |
    `java.lang.String` | `getRawType()` |
    `boolean` | `hasGenerics()` |
    `GenericTypeDefinition` | `map​(java.util.function.Function<java.lang.String,​java.lang.String> transformer)` |
    `static GenericTypeDefinition` | `parseType​(java.lang.String type, java.util.function.Function<java.lang.String,​java.lang.String> resolver)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericTypeDefinition

          public GenericTypeDefinition​(java.lang.String rawType)

  - ### Method Detail

    - #### parseType

          public static GenericTypeDefinition parseType​(java.lang.String type,
                                                        java.util.function.Function<java.lang.String,​java.lang.String> resolver)

    - #### getRawType

          public java.lang.String getRawType()

    - #### getGenericTypes

          public java.util.List<GenericTypeDefinition> getGenericTypes()

    - #### hasGenerics

          public boolean hasGenerics()

    - #### map

          public GenericTypeDefinition map​(java.util.function.Function<java.lang.String,​java.lang.String> transformer)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`